//
// Copyright 2017 frankmuenster.de
// 
// Lizenziert unter der EUPL, Version 1.1 oder - sobald
// diese von der Europischen Kommission genehmigt wurden -
// Folgeversionen der EUPL ("Lizenz");
// Sie drfen dieses Werk ausschlielich gem
// dieser Lizenz nutzen.
// Eine Kopie der Lizenz finden Sie hier:
// 
//   http://ec.europa.eu/idabc/eupl
// 
// Sofern nicht durch anwendbare Rechtsvorschriften
// gefordert oder in schriftlicher Form vereinbart, wird
// die unter der Lizenz verbreitete Software "so wie sie
// ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
// ausdrcklich oder stillschweigend - verbreitet.
// Die sprachspezifischen Genehmigungen und Beschrnkungen
// unter der Lizenz sind dem Lizenztext zu entnehmen.
// 

package de.frankmuenster.hibiscus.mahoe.bsh.json;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;

/**
 * JSON Error Bean f&uum;t BSH Antworten
 * 
 * @author Frank Mnster
 * 
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({ "message", "code" })
public class Error {

	/**
	 * Nachricht
	 */
	@JsonProperty("message")
	private transient String message;

	/**
	 * Fehlercode
	 */
	@JsonProperty("code")
	private transient String code;

	/**
	 * Standardkonstruktor
	 */
	public Error() {
		// Absichtlich leer
	}

	/**
	 * Liefert den Fehlertext
	 * 
	 * @return den Fehlertext
	 */
	@JsonProperty("message")
	public String getMessage() {
		return message;
	}

	/**
	 * Liefert den Fehlercode
	 * 
	 * @return den Fehlercode
	 */
	@JsonProperty("code")
	public String getCode() {
		return code;
	}
}
