//
// Copyright 2017 frankmuenster.de
// 
// Lizenziert unter der EUPL, Version 1.1 oder - sobald
// diese von der Europischen Kommission genehmigt wurden -
// Folgeversionen der EUPL ("Lizenz");
// Sie drfen dieses Werk ausschlielich gem
// dieser Lizenz nutzen.
// Eine Kopie der Lizenz finden Sie hier:
// 
//   http://ec.europa.eu/idabc/eupl
// 
// Sofern nicht durch anwendbare Rechtsvorschriften
// gefordert oder in schriftlicher Form vereinbart, wird
// die unter der Lizenz verbreitete Software "so wie sie
// ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
// ausdrcklich oder stillschweigend - verbreitet.
// Die sprachspezifischen Genehmigungen und Beschrnkungen
// unter der Lizenz sind dem Lizenztext zu entnehmen.
// 

package de.frankmuenster.hibiscus.mahoe.bsh.json;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;

/**
 * Die Benutzerdetails
 * 
 * @author Frank Mnster
 * 
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({ "changePassword", "addUsername", "confirmTermsOfUse" })
public class LoginDetails {

	/**
	 * Passwortwechsel notwendig
	 */
	@JsonProperty("changePassword")
	private transient Boolean changePassword;

	/**
	 * ???
	 */
	@JsonProperty("addUsername")
	private transient Boolean addUsername;

	/**
	 * Benutzungsbedingungen akzeptiert
	 */
	@JsonProperty("confirmTermsOfUse")
	private transient Boolean confirmTermsOfUse;

	/**
	 * Standardkonstruktor
	 */
	public LoginDetails() {
		// Absichtlich leer
	}

	/**
	 * Muss das Passwort gewechselt werden.
	 * 
	 * @return <i>true</i>, wenn das Passwort gewechselt werden muss, sonst
	 *         <i>false</i>
	 */
	@JsonProperty("changePassword")
	public Boolean getChangePassword() {
		return changePassword;
	}

	/**
	 * ???
	 * 
	 * @return <i>true</i>, wenn ???, sonst <i>false</i>
	 */
	@JsonProperty("addUsername")
	public Boolean getAddUsername() {
		return addUsername;
	}

	/**
	 * Benutzungsbedingungen bereits akzeptiert.
	 * 
	 * @return <i>true</i>, wenn die Benutzungsbedingungen bereits akzeptiert
	 *         wurden, sonst <i>false</i>
	 */
	@JsonProperty("confirmTermsOfUse")
	public Boolean getConfirmTermsOfUse() {
		return confirmTermsOfUse;
	}

}
