//
// Copyright 2017 frankmuenster.de
// 
// Lizenziert unter der EUPL, Version 1.1 oder - sobald
// diese von der Europischen Kommission genehmigt wurden -
// Folgeversionen der EUPL ("Lizenz");
// Sie drfen dieses Werk ausschlielich gem
// dieser Lizenz nutzen.
// Eine Kopie der Lizenz finden Sie hier:
// 
//   http://ec.europa.eu/idabc/eupl
// 
// Sofern nicht durch anwendbare Rechtsvorschriften
// gefordert oder in schriftlicher Form vereinbart, wird
// die unter der Lizenz verbreitete Software "so wie sie
// ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
// ausdrcklich oder stillschweigend - verbreitet.
// Die sprachspezifischen Genehmigungen und Beschrnkungen
// unter der Lizenz sind dem Lizenztext zu entnehmen.
// 

package de.frankmuenster.hibiscus.mahoe.bsh.json;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * Antwort der Setzte-Gelesen-Nachrichten-Abfrage
 * 
 * @author Frank Mnster
 * 
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class MessageReadResponse extends BshResponse implements IBshResponse {

	/**
	 * Details
	 */
	@JsonProperty("data")
	private transient ReadObject readObject;

	/**
	 * Standardkonstruktor
	 */
	public MessageReadResponse() {
		super();
	}

	/**
	 * Liefert die Anzahl an neuen Nachrichten.
	 * 
	 * @return die Anzahl an neuen Nachrichten.
	 */
	public ReadObject getRead() {
		return readObject;
	}

	/**
	 * JSON Count Object (Nachrichten)
	 * 
	 * @author Frank Mnster
	 * 
	 */
	@JsonInclude(JsonInclude.Include.NON_NULL)
	public class ReadObject {

		/**
		 * Anzahl neue Nachrichten
		 */
		@JsonProperty("read")
		private transient Boolean read;

		/**
		 * Standardkonstruktor
		 */
		public ReadObject() {
			// Absichtlich leer;
		}

		/**
		 * Gelesen.
		 * 
		 * @return <i>true</i>, falls gelesen, <i>false</i> sonst
		 */
		@JsonProperty("read")
		public Boolean isRead() {
			return read;
		}
	}
}
