//
// Copyright 2017 frankmuenster.de
// 
// Lizenziert unter der EUPL, Version 1.1 oder - sobald
// diese von der Europischen Kommission genehmigt wurden -
// Folgeversionen der EUPL ("Lizenz");
// Sie drfen dieses Werk ausschlielich gem
// dieser Lizenz nutzen.
// Eine Kopie der Lizenz finden Sie hier:
// 
//   http://ec.europa.eu/idabc/eupl
// 
// Sofern nicht durch anwendbare Rechtsvorschriften
// gefordert oder in schriftlicher Form vereinbart, wird
// die unter der Lizenz verbreitete Software "so wie sie
// ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
// ausdrcklich oder stillschweigend - verbreitet.
// Die sprachspezifischen Genehmigungen und Beschrnkungen
// unter der Lizenz sind dem Lizenztext zu entnehmen.
// 

package de.frankmuenster.hibiscus.mahoe.bsh.json;

import java.util.Locale;

/**
 * Status der Antwort einer REST Anfrage.
 * 
 * @author Frank Mnster/Quirin Huber
 */
public enum Status {

	/**
	 * Anfrage erfolgreich
	 */
	SUCCESS,

	/**
	 * Anfrage fehlgeschlagen
	 */
	ERROR,

	/**
	 * Status nicht feststellbar
	 */
	OTHER;

	/**
	 * Liefert den Status SUCCESS oder ERROR, falls nicht feststellbar OTHER
	 * sonst.
	 * 
	 * @param stauts
	 * @return den Status
	 */
	public static Status resolve(final String stauts) {
		Status result;
		try {
			result = valueOf(stauts.toUpperCase(Locale.GERMAN));
		} catch (final IllegalArgumentException ignored) {
			result = OTHER;
		}
		return result;
	}
}
