//
// Copyright 2017 frankmuenster.de
// 
// Lizenziert unter der EUPL, Version 1.1 oder - sobald
// diese von der Europischen Kommission genehmigt wurden -
// Folgeversionen der EUPL ("Lizenz");
// Sie drfen dieses Werk ausschlielich gem
// dieser Lizenz nutzen.
// Eine Kopie der Lizenz finden Sie hier:
// 
//   http://ec.europa.eu/idabc/eupl
// 
// Sofern nicht durch anwendbare Rechtsvorschriften
// gefordert oder in schriftlicher Form vereinbart, wird
// die unter der Lizenz verbreitete Software "so wie sie
// ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
// ausdrcklich oder stillschweigend - verbreitet.
// Die sprachspezifischen Genehmigungen und Beschrnkungen
// unter der Lizenz sind dem Lizenztext zu entnehmen.
// 

package de.frankmuenster.hibiscus.mahoe.bsh.json.deserializer;

import java.io.IOException;

import com.fasterxml.jackson.core.JsonParser;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.core.ObjectCodec;
import com.fasterxml.jackson.databind.DeserializationContext;
import com.fasterxml.jackson.databind.JsonDeserializer;
import com.fasterxml.jackson.databind.JsonNode;

import de.frankmuenster.hibiscus.mahoe.bsh.json.Status;

/**
 * Deserializer fr den Status der JSON-Antworten der BSH
 * 
 * @author Frank Mnster/Quirin Huber
 * 
 */
public class StatusDeserializer extends JsonDeserializer<Status> {

	/**
	 * Standardkonstruktor
	 */
	public StatusDeserializer() {
		super();
	}

	/**
	 * 
	 * @see com.fasterxml.jackson.databind.JsonDeserializer#deserialize(com.fasterxml.jackson.core.JsonParser,
	 *      com.fasterxml.jackson.databind.DeserializationContext)
	 */
	@Override
	public Status deserialize(final JsonParser jsonParser, final DeserializationContext context)
			throws IOException, JsonProcessingException {
		final ObjectCodec objectCodec = jsonParser.getCodec();
		final JsonNode jsonNode = objectCodec.readTree(jsonParser);
		final String textValue = jsonNode.asText();
		return Status.resolve(textValue);
	}
}
