//
// Copyright 2017 frankmuenster.de
// 
// Lizenziert unter der EUPL, Version 1.1 oder - sobald
// diese von der Europischen Kommission genehmigt wurden -
// Folgeversionen der EUPL ("Lizenz");
// Sie drfen dieses Werk ausschlielich gem
// dieser Lizenz nutzen.
// Eine Kopie der Lizenz finden Sie hier:
// 
//   http://ec.europa.eu/idabc/eupl
// 
// Sofern nicht durch anwendbare Rechtsvorschriften
// gefordert oder in schriftlicher Form vereinbart, wird
// die unter der Lizenz verbreitete Software "so wie sie
// ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
// ausdrcklich oder stillschweigend - verbreitet.
// Die sprachspezifischen Genehmigungen und Beschrnkungen
// unter der Lizenz sind dem Lizenztext zu entnehmen.
// 

package de.frankmuenster.hibiscus.mahoe.pdfextractor;

import java.util.List;

/**
 * Interface f&uuml; die Liste mit PDFBuchungen.
 * 
 * @author Frank Mnster
 * 
 */
public interface InterfaceTransactionsCreator {

	/**
	 * Fgt die Valutas hinzu
	 * 
	 * @param valutas
	 */
	void addKaufDaten(List<PdfEintrag> valutas);

	/**
	 * Fgt die Beschreibungen hinzu
	 * 
	 * @param describtions
	 */
	void addDescriptions(List<PdfEintrag> describtions);

	/**
	 * Fgt den Fremadwhrungsbetrag hinzu
	 * 
	 * @param fcValues
	 */
	void addFcValues(List<PdfEintrag> fcValues);

	/**
	 * Fgt die Fremdwhrung hinzu
	 * 
	 * @param foreignCurrencys
	 */
	void addForeignCurrencys(List<PdfEintrag> foreignCurrencys);

	/**
	 * Fgt den Kurs hinzu
	 * 
	 * @param exchangeRates
	 */
	void addExchangeRates(List<PdfEintrag> exchangeRates);

	/**
	 * Fgt den Betrag hinzu
	 * 
	 * @param values
	 */
	void addBetraege(List<PdfEintrag> values);

	/**
	 * Liefert die Liste mit den Buchungen
	 * 
	 * @return die Liste mit den Buchungen
	 */
	List<PdfBuchung> getTansactions();

}
