//
// Copyright 2017 frankmuenster.de
// 
// Lizenziert unter der EUPL, Version 1.1 oder - sobald
// diese von der Europischen Kommission genehmigt wurden -
// Folgeversionen der EUPL ("Lizenz");
// Sie drfen dieses Werk ausschlielich gem
// dieser Lizenz nutzen.
// Eine Kopie der Lizenz finden Sie hier:
// 
//   http://ec.europa.eu/idabc/eupl
// 
// Sofern nicht durch anwendbare Rechtsvorschriften
// gefordert oder in schriftlicher Form vereinbart, wird
// die unter der Lizenz verbreitete Software "so wie sie
// ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
// ausdrcklich oder stillschweigend - verbreitet.
// Die sprachspezifischen Genehmigungen und Beschrnkungen
// unter der Lizenz sind dem Lizenztext zu entnehmen.
// 

package de.frankmuenster.hibiscus.mahoe.santander.assistant;

import de.frankmuenster.hibiscus.mahoe.assistant.CreateAccountInfo;
import de.frankmuenster.hibiscus.mahoe.santander.web.SantanderBankEnum;
import de.willuhn.jameica.hbci.rmi.KontoType;

/**
 * Bentigte Informationen zum Erstellen eines MahoeMain Kontos
 * 
 * @author Frank Mnster
 * 
 */
public class SantanderCreateInfo extends CreateAccountInfo {

	/**
	 * Banktyp
	 */
	private SantanderBankEnum bankType;

	/**
	 * KTO
	 */
	private String ktoNummer;

	/**
	 * Kontotyp
	 */
	private KontoType ktoType;

	/**
	 * Benutzername
	 */
	private String login;

	/**
	 * Kontoauszge speichern
	 */

	/**
	 * Standardkonstruktor
	 */
	public SantanderCreateInfo() {
		super();
	}

	/**
	 * @return the bankType
	 */
	public SantanderBankEnum getBankType() {
		return bankType;
	}

	/**
	 * @return the ktoNummer
	 */
	public String getKtoNummer() {
		return ktoNummer;
	}

	/**
	 * @return the ktoType
	 */
	public KontoType getKtoType() {
		return ktoType;
	}

	/**
	 * @return the login
	 */
	public String getLogin() {
		return login;
	}

	/**
	 * @param bankType
	 *            the bankType to set
	 */
	public void setBankType(final SantanderBankEnum bankType) {
		this.bankType = bankType;
	}

	/**
	 * @param ktoNummer
	 *            the ktoNummer to set
	 */
	public void setKtoNummer(final String ktoNummer) {
		this.ktoNummer = ktoNummer;
	}

	/**
	 * @param ktoType
	 *            the ktoType to set
	 */
	public void setKtoType(final KontoType ktoType) {
		this.ktoType = ktoType;
	}

	/**
	 * @param login
	 *            the login to set
	 */
	public void setLogin(final String login) {
		this.login = login;
	}

}
