//
// Copyright 2017 frankmuenster.de
// 
// Lizenziert unter der EUPL, Version 1.1 oder - sobald
// diese von der Europischen Kommission genehmigt wurden -
// Folgeversionen der EUPL ("Lizenz");
// Sie drfen dieses Werk ausschlielich gem
// dieser Lizenz nutzen.
// Eine Kopie der Lizenz finden Sie hier:
// 
//   http://ec.europa.eu/idabc/eupl
// 
// Sofern nicht durch anwendbare Rechtsvorschriften
// gefordert oder in schriftlicher Form vereinbart, wird
// die unter der Lizenz verbreitete Software "so wie sie
// ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
// ausdrcklich oder stillschweigend - verbreitet.
// Die sprachspezifischen Genehmigungen und Beschrnkungen
// unter der Lizenz sind dem Lizenztext zu entnehmen.
// 

package de.frankmuenster.hibiscus.mahoe.santander.web;

import java.math.BigDecimal;
import java.rmi.RemoteException;

import de.frankmuenster.hibiscus.mahoe.MahoeSynchronizeBackend;
import de.frankmuenster.hibiscus.mahoe.utils.I18N;
import de.frankmuenster.hibiscus.mahoe.web.AbstractWebAccountInformation;
import de.willuhn.logging.Logger;
import de.willuhn.util.ApplicationException;
import de.willuhn.util.ProgressMonitor;

/**
 * Zustzlich eKOntoinfomrationen der BOS
 * 
 * @author Frank Mnster
 * 
 */
public class SantanderAccountInformation extends AbstractWebAccountInformation {

	/**
	 * Banktyp
	 */
	private SantanderBankEnum bankType;

	/**
	 * Habenzinssatz
	 */
	private Double interestRate;

	/**
	 * Zinsen bis jetzt
	 */
	private BigDecimal intersetAmount;

	/**
	 * Kartenart
	 */
	private String kindOfCard;

	/**
	 * Standartkonstruktor
	 */
	public SantanderAccountInformation() {
		super();
	}

	/**
	 * @return the bankType
	 */
	public SantanderBankEnum getBankType() {
		return this.bankType;
	}

	/**
	 * @return the interestRate
	 */
	public Double getInterestRate() {
		return this.interestRate;
	}

	/**
	 * @return the intersetAmount
	 */
	public BigDecimal getIntersetAmount() {
		return this.intersetAmount;
	}

	/**
	 * @return the kindOfCard
	 */
	public String getKindOfCard() {
		return this.kindOfCard;
	}

	/**
	 * @param bankType
	 *            the bankType to set
	 */
	public void setBankType(final SantanderBankEnum bankType) {
		this.bankType = bankType;
	}

	/**
	 * @param interestRate
	 *            the interestRate to set
	 */
	public void setInterestRate(final Double interestRate) {
		this.interestRate = interestRate;
	}

	/**
	 * @param intersetAmount
	 *            the intersetAmount to set
	 */
	public void setIntersetAmount(final BigDecimal intersetAmount) {
		this.intersetAmount = intersetAmount;
	}

	/**
	 * @param kindOfCard
	 *            the kindOfCard to set
	 */
	public void setKindOfCard(final String kindOfCard) {
		this.kindOfCard = kindOfCard;
	}

	/**
	 * @see de.frankmuenster.hibiscus.mahoe.web.AbstractWebAccountInformation#saveBankSpecificInfo(de.willuhn.util.ProgressMonitor)
	 */
	@Override
	protected void saveBankSpecificInfo(final ProgressMonitor monitor) throws ApplicationException {

		// Kartenart
		if (this.kindOfCard != null) {
			monitor.setStatusText(I18N.tr("SantanderAccountInformation.updateKindOfCard")); //$NON-NLS-1$
			try {
				this.konto.setMeta(MahoeSynchronizeBackend.CARD_COMPANY, this.kindOfCard);
			} catch (RemoteException e) {
				Logger.error(I18N.tr("SantanderAccountInformation.updateKindOfCardFailed"), e); //$NON-NLS-1$
				throw new ApplicationException(I18N.tr("SantanderAccountInformation.updateKindOfCardFailed"), e); //$NON-NLS-1$
			}
		}

	}

}
