//
// Copyright 2016 frankmuenster.de
// 
// Lizenziert unter der EUPL, Version 1.1 oder - sobald
// diese von der Europischen Kommission genehmigt wurden -
// Folgeversionen der EUPL ("Lizenz");
// Sie drfen dieses Werk ausschlielich gem
// dieser Lizenz nutzen.
// Eine Kopie der Lizenz finden Sie hier:
// 
//   http://ec.europa.eu/idabc/eupl
// 
// Sofern nicht durch anwendbare Rechtsvorschriften
// gefordert oder in schriftlicher Form vereinbart, wird
// die unter der Lizenz verbreitete Software "so wie sie
// ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
// ausdrcklich oder stillschweigend - verbreitet.
// Die sprachspezifischen Genehmigungen und Beschrnkungen
// unter der Lizenz sind dem Lizenztext zu entnehmen.
// 

package de.frankmuenster.hibiscus.mahoe.targobank;

/**
 * TargoBank Info-Klasse
 * 
 * @author Frank Mnster
 * 
 */
public final class TargoBank {

	/**
	 * TargoBank Konto Version
	 */
	public static final String KTO_VER_KREDIT = "1"; //$NON-NLS-1$

	/**
	 * TargoBank Name
	 */
	public final static String NAME = "TargoBank"; //$NON-NLS-1$
	/**
	 * TargoBank BLZ
	 */
	public final static String BLZ = "30020900"; //$NON-NLS-1$
	/**
	 * TargoBank Kreditkarten KTO
	 */
	public final static String KK_KTO = "5055000090"; //$NON-NLS-1$
	/**
	 * TargoBank Kreditkarten IBAN
	 */
	public final static String KK_IBAN = "DE15300209005055000090"; //$NON-NLS-1$

	/**
	 * TargoBank Login URL
	 */
	public final static String URL_LOGIN = "https://www.targobank.de/de/identification/login.cgi"; //$NON-NLS-1$

	/**
	 * TargoBank Kontobersicht URL
	 */
	public final static String URL_UEBERSICHT = "https://www.targobank.de/de/banque/situation_financiere.cgi"; //$NON-NLS-1$

	/**
	 * TargoBank Login Abrechnungen URL
	 */
	public final static String URL_ABBRECHNUNGEN = "https://www.targobank.de/de/banque/MMU2_LstDoc.aspx?typ=doc&DOS=050902"; //$NON-NLS-1$

	/**
	 * TargoBank Login Abrechnungen URL
	 */
	public static final String URL_MESSAGES = "https://www.targobank.de/de/banque/messagerie_banque_a_distance.cgi"; //$NON-NLS-1$

	/**
	 * Abmelde URL
	 */
	public static final String URL_LOGOFF = "https://www.targobank.de/de/identification/deconnexion/deconnexion.cgi"; //$NON-NLS-1$

	/**
	 * Standardkonstruktor
	 */
	private TargoBank() {
		// Absichlich leer
	}

}
