//
// Copyright 2014 frankmuenster.de
// 
// Lizenziert unter der EUPL, Version 1.1 oder - sobald
// diese von der Europischen Kommission genehmigt wurden -
// Folgeversionen der EUPL ("Lizenz");
// Sie drfen dieses Werk ausschlielich gem
// dieser Lizenz nutzen.
// Eine Kopie der Lizenz finden Sie hier:
// 
//   http://ec.europa.eu/idabc/eupl
// 
// Sofern nicht durch anwendbare Rechtsvorschriften
// gefordert oder in schriftlicher Form vereinbart, wird
// die unter der Lizenz verbreitete Software "so wie sie
// ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
// ausdrcklich oder stillschweigend - verbreitet.
// Die sprachspezifischen Genehmigungen und Beschrnkungen
// unter der Lizenz sind dem Lizenztext zu entnehmen.
// 

package de.frankmuenster.hibiscus.mahoe.targobank.pdfextractor;

import java.text.NumberFormat;
import java.text.SimpleDateFormat;
import java.util.List;
import java.util.Locale;

import de.frankmuenster.hibiscus.mahoe.pdfextractor.AbstractTransactionCreator;
import de.frankmuenster.hibiscus.mahoe.pdfextractor.PdfEintrag;

/**
 * Implementierung des TransactionCreator der TargoBank
 * 
 * @author Frank Mnster
 *
 */
public class TargoBankTransactionCreator extends AbstractTransactionCreator {

	/**
	 * @param buchungsDaten
	 * @param lineHeigh
	 */
	public TargoBankTransactionCreator(final List<PdfEintrag> buchungsDaten, final double lineHeigh) {
		super(buchungsDaten, lineHeigh);

	}

	/**
	 * @see de.frankmuenster.hibiscus.mahoe.pdfextractor.AbstractTransactionCreator#getDateFormat()
	 */
	@Override
	protected SimpleDateFormat getDateFormat() {
		return new SimpleDateFormat("dd.MM.yyyy", Locale.GERMAN); //$NON-NLS-1$

	}

	/**
	 * @see de.frankmuenster.hibiscus.mahoe.pdfextractor.AbstractTransactionCreator#getNumberFormat()
	 */
	@Override
	protected NumberFormat getNumberFormat() {
		return NumberFormat.getInstance(Locale.GERMAN);

	}

}
