//
// Copyright 2016 frankmuenster.de
// 
// Lizenziert unter der EUPL, Version 1.1 oder - sobald
// diese von der Europischen Kommission genehmigt wurden -
// Folgeversionen der EUPL ("Lizenz");
// Sie drfen dieses Werk ausschlielich gem
// dieser Lizenz nutzen.
// Eine Kopie der Lizenz finden Sie hier:
// 
//   http://ec.europa.eu/idabc/eupl
// 
// Sofern nicht durch anwendbare Rechtsvorschriften
// gefordert oder in schriftlicher Form vereinbart, wird
// die unter der Lizenz verbreitete Software "so wie sie
// ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
// ausdrcklich oder stillschweigend - verbreitet.
// Die sprachspezifischen Genehmigungen und Beschrnkungen
// unter der Lizenz sind dem Lizenztext zu entnehmen.
// 

package de.frankmuenster.hibiscus.mahoe.utils.pdfsaver;

/**
 * Exceptions fr den PdfSaver
 * 
 * @author Frank Mnster
 *
 */
public class PdfSaverException extends Exception {

	/**
	 * Die Serial UID
	 */
	private static final long serialVersionUID = -3968621607319744568L;

	/**
	 * Der PdfSaverException Typ
	 */
	private PdfSaverExceptionTyp typ;

	/**
	 * rstellt eine neue Exception
	 */
	public PdfSaverException() {
		super();
	}

	/**
	 * Erstellt eine neue Exception mit Text.
	 * 
	 * @param text
	 */
	public PdfSaverException(final String text) {
		super(text);
	}

	/**
	 * Erstellt eine neue Exception mit Nachricht und Fehlertypen.
	 * 
	 * @param message
	 * @param typ
	 */
	public PdfSaverException(final String message, final PdfSaverExceptionTyp typ) {
		super(message);
		this.typ = typ;
	}

	/**
	 * Erstellt eine neue Exception mit Nachricht und ursprnglichen Fehler.
	 * 
	 * @param message
	 * @param cause
	 *            der Grund
	 */
	public PdfSaverException(final String message, final Throwable cause) {
		super(message, cause);
	}

	/**
	 * Liefert den Typ der Exception
	 * 
	 * @return den Typ
	 */
	public PdfSaverExceptionTyp getTyp() {
		return this.typ;
	}

	/**
	 * Setzt den Typ der Exception
	 * 
	 * @param typ
	 */
	public void setTyp(final PdfSaverExceptionTyp typ) {
		this.typ = typ;
	}
}
